/*
 *  Background.java
 *  Copyright Simon Hern 2008
 *  Contact: dishmoth@yahoo.co.uk, www.dishmoth.com
 */

package centipede;

import java.awt.*;
import java.util.LinkedList;

// sky and ground
public class Background extends Sprite {

  // how sprite is drawn relative to other sprites
  static private final int kScreenLayer = 0;

  // colours
  static private final Color kSkyColour    = new Color(0.3f, 0.7f, 1.0f),
                             kGroundColour = new Color(0.0f, 0.7f, 0.0f),
                             kEdgeColour   = new Color(0.0f, 0.6f, 0.0f);
  
  // where the sky meets the ground
  static private final int kGroundLevel = 340;
  
  // constructor
  public Background() {
    
    super(kScreenLayer);
    
  } // constructor
  
  static public int groundLevel() { return kGroundLevel; }
  
  // do nothing
  public void advance(LinkedList<Sprite> addTheseSprites,
                      LinkedList<Sprite> killTheseSprites,
                      LinkedList<StoryEvent> newStoryEvents) {
  } // Sprite.advance()

  // sky, etc.
  public void draw(Graphics2D g2) {

    g2.setColor(kSkyColour);
    g2.fillRect(0, 0, 
                Env.screenWidth(), kGroundLevel-2);
    g2.setColor(kEdgeColour);
    g2.fillRect(0, kGroundLevel-2, 
                Env.screenWidth(), 1);
    g2.setColor(kGroundColour);
    g2.fillRect(0, kGroundLevel-1, 
                Env.screenWidth(), Env.screenHeight()-kGroundLevel+1);

  } // Sprite.draw()

} // class Background
