/*
 *  Fence.java
 *  Copyright Simon Hern 2008
 *  Contact: dishmoth@yahoo.co.uk, www.dishmoth.com
 */

package centipede;

import java.awt.Graphics2D;
import java.util.LinkedList;

// scrolling fence
public class Fence extends Sprite {

  // how sprite is drawn relative to other sprites
  static private final int kScreenLayer = 10;

  // a bit of a fence
  private Picket mPicket;
  
  // scrolling
  private int mOffset;
  
  // constructor
  public Fence(int width) {
    
    super(kScreenLayer);
    
    mPicket = new Picket(width);
    mOffset = 0;
    
  } // constructor
  
  // scroll the fence
  public void advance(LinkedList<Sprite> addTheseSprites,
                      LinkedList<Sprite> killTheseSprites,
                      LinkedList<StoryEvent> newStoryEvents) {

    mOffset = Env.fold(mOffset-1, mPicket.width());
    
  } // Sprite.advance()

  // display the fence
  public void draw(Graphics2D g2) {

    int num = (int)Math.ceil(Env.screenWidth() / (double)mPicket.width()) + 1;
    int x = ( (mOffset == 0) ? 0 : mOffset-mPicket.width() ); 
    int y = Background.groundLevel() - mPicket.height();
    for ( int k = 0 ; k < num ; k++ ) {
      mPicket.draw(g2, x+k*mPicket.width(), y);
    }
    
  } // Sprite.draw()

} // class Fence
